/*********************************************************************
 * Copyright (c) 2019 Red Hat, Inc.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 **********************************************************************/

import { IAuthorizationHeaderHandler } from './IAuthorizationHeaderHandler';
import { injectable } from 'inversify';
import { AxiosRequestConfig } from 'axios';

@injectable()
export class CheSingleUserAuthorizationHeaderHandler implements IAuthorizationHeaderHandler {
    async get() : Promise<AxiosRequestConfig> {
        // no headers needs to be set to single user
        return {};
    }
}


